Samplers
========

### Here lies a library of combinators for MCMC kernels and proposals
- The relevant modules are `Kernels`, `Distributions`, and `Actions`
- See `Tests.hs` for some examples on how this library can be used
- Needs the [hmatrix](http://hackage.haskell.org/package/hmatrix) package
  - Might need to do `cabal install hmatrix`

##### On Gibbs.hs

- The current implementation is for a Naive Bayes model
- TODO:
  - Use an existing, "real" dataset instead of randomly generating sentences
  - See which words appear most frequently for each label/class
  - Average over all theta estimates and return top 10 and bottom 10 words
	according to these averages
  - Implement burn-in and lag (to decrease autocorrelation)
